Skip to main content
PUT
/
classrooms
/
{classroomHandle}
/
courses
/
{courseHandle}
/
enrolled
Enroll User in a Course
curl --request PUT \
  --url https://codecombat.com/api/classrooms/{classroomHandle}/courses/{courseHandle}/enrolled \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>"
}
'
import requests

url = "https://codecombat.com/api/classrooms/{classroomHandle}/courses/{courseHandle}/enrolled"

payload = { "userId": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};

fetch('https://codecombat.com/api/classrooms/{classroomHandle}/courses/{courseHandle}/enrolled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "<string>",
  "name": "<string>",
  "members": [
    "<string>"
  ],
  "ownerID": "<string>",
  "description": "<string>",
  "courses": [
    {
      "_id": "<string>",
      "levels": [
        {}
      ],
      "enrolled": [
        "<string>"
      ],
      "instance_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

classroomHandle
string
required

The classroom's _id.

courseHandle
string
required

The course's _id.

Query Parameters

retMemberLimit
number<double> | null

limit the return number of members for the classroom, the default value is 1000

Body

application/json
userId
string
required

Response

200 - application/json

The classroom with the user enrolled.

Subset of properties listed here

_id
string | null
name
string | null
members
string[] | null
ownerID
string | null
description
string | null
courses
ClassroomResponseCoursesItem · object[] | null